Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.service.impl
Class JdbcReportDataSourceServiceFactory

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.service.impl.JdbcReportDataSourceServiceFactory

All Implemented Interfaces:
  ReportDataSourceServiceFactory

    public class JdbcReportDataSourceServiceFactory

extends java.lang.Object
implements ReportDataSourceServiceFactory

Version:
  $Id: JdbcReportDataSourceServiceFactory.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected static class` | `JdbcReportDataSourceServiceFactory.JdbcPoolKey`
`protected static class` | `JdbcReportDataSourceServiceFactory.PooledDataSourcesCache`

Constructor Summary
`JdbcReportDataSourceServiceFactory()`

Method Summary
`protected java.lang.Object` | `createJdbcPoolKey(java.lang.String driverClass, java.lang.String url, java.lang.String username, java.lang.String password)`
`ReportDataSourceService` | `createService(ReportDataSource reportDataSource)`
`protected javax.sql.DataSource` | `getPoolDataSource(java.lang.String driverClass, java.lang.String url, java.lang.String username, java.lang.String password)`
`PooledJdbcDataSourceFactory` | `getPooledJdbcDataSourceFactory()`
`int` | `getPoolTimeout()`
`void` | `setPooledJdbcDataSourceFactory(PooledJdbcDataSourceFactory jdbcDataSourceFactory)`
`void` | `setPoolTimeout(int poolTimeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcReportDataSourceServiceFactory

    public JdbcReportDataSourceServiceFactory()

Method Detail

### createService

    public ReportDataSourceService createService(ReportDataSource reportDataSource)

  Specified by:
    `createService` in interface `ReportDataSourceServiceFactory`

### getPoolDataSource

    protected javax.sql.DataSource getPoolDataSource(java.lang.String driverClass,
                                                     java.lang.String url,
                                                     java.lang.String username,
                                                     java.lang.String password)

### getPooledJdbcDataSourceFactory

    public PooledJdbcDataSourceFactory getPooledJdbcDataSourceFactory()

### setPooledJdbcDataSourceFactory

    public void setPooledJdbcDataSourceFactory(PooledJdbcDataSourceFactory jdbcDataSourceFactory)

### createJdbcPoolKey

    protected java.lang.Object createJdbcPoolKey(java.lang.String driverClass,
                                                 java.lang.String url,
                                                 java.lang.String username,
                                                 java.lang.String password)

### getPoolTimeout

    public int getPoolTimeout()

### setPoolTimeout

    public void setPoolTimeout(int poolTimeout)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.